//************************************************************************
// 	Test.CPP	for CaptFrame
//************************************************************************
//
//  	Copyright (c) 1993-97 by
//
//		ABRI development
//		Andreas Vogel
//		Miltnerweg 17/14/19
//		A-1110 Vienna, Austria
//		phone/fax/modem: +43 1 76 23 35
//		handy:		 +43 664 325 79 70
//		Internet:	 100343.2704@compuserve.com
//
//	All rights reserved
//
//	--------------------------------------------------------
//
//  Purpose:    Test app for Shaded title bar like MS-Excel/WinWord
//
//  Project:
//
//  Author:	Vogel Andreas
//
//  History:
//
//	96-12-xx  V1.0	created
//
//	--------------------------------------------------------
//
//  Brief description:
//
//	editor TAB spacing = 8 !
// 	all my classes start with lower case "c"
// 	all my member variables start with lower case "m"

#include <owl\pch.h>
#include "captframe.h"

#pragma hdrstop

#include "test.rc"

//-------------------------------------------------------- defines -------
//-------------------------------------------------------- globals -------
//------------------------------------------------------ externals -------
//--------------------------------------------- external functions -------
//------------------------------------------------ local functions -------
//-------------------------------------------------------- statics -------

//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

class cMyApp :	public TApplication

//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
{
public:
	cMyApp()
        :
        TApplication() {}

	~cMyApp() {  }

protected:

  void 	InitMainWindow();

  void	CmSetText() {
    GetMainWindow()->SetCaption("NewCaptionText");
  }

DECLARE_RESPONSE_TABLE(cMyApp);
};

DEFINE_RESPONSE_TABLE1(cMyApp, TApplication)
  EV_COMMAND(CM_SETTEXT, CmSetText),
END_RESPONSE_TABLE;

//------------------------------------------------------------------------
void 	cMyApp::InitMainWindow()
//------------------------------------------------------------------------
// Construct the decorated frame window
{
  SetMainWindow(new cCaptFrame(NULL, "CaptFrame"));

  GetMainWindow()->SetIcon(this, "APP");
  GetMainWindow()->SetIconSm(this, "APP");

  GetMainWindow()->AssignMenu("MAINMENU");
}

//************************************************************************
int 	OwlMain(int /*argc*/, char* /*argv*/[])
//************************************************************************
{
  TPointer<cMyApp> app = new cMyApp;

  app->Run();

  return 1;
}

